Results 1 to 14 of 14
Like Tree4Likes
  • 1 Post By Alan Morford
  • 2 Post By sdoncov
  • 1 Post By Alan Morford
  1.    #1  
    Hi everyone,

    Is someone willing to help with an issue I am having with setting up gmail on my Pre 2?

    Issue:
    IMAP and POP give same error - ...."encryption not accepted....". I've tried every single SLL, TSL, PORT, blah blah blah. I get same issue
    Cannot add my gmail account. Error - "Bad Request"

    HELP!!!
  2. #2  
    Quote Originally Posted by CarbonViking View Post
    Hi everyone,

    Is someone willing to help with an issue I am having with setting up gmail on my Pre 2?

    Issue:
    IMAP and POP give same error - ...."encryption not accepted....". I've tried every single SLL, TSL, PORT, blah blah blah. I get same issue
    Cannot add my gmail account. Error - "Bad Request"

    HELP!!!
    I guess you mean settings in the email app. The settings you need are: imap.gmail.com, SSL, 993 / smtp.gmail.com, SSL, 465. I think your problem is likely to be that the original security certificates are out of date and of course, there are no updates from HP. Without the latest root certificates, other certificates in the chain cannot be validated and webOS' original SSL implentation has a problem with newer SHA256 certificates.

    Look at this: webOS service pack?

    Your best method is to install the SSL update and root certificate bundle: OpenSSL-Updater - Fixing Certificate Issues
    root cert updater app That should fix everything until a new set of root certificates are needed.

    The next best is the 'Cert Grabber' app which has to be manually run when a cert expires. Certificate Grabber - webOS & LuneOS apps on Preware Catalog | pivotCE

    Or you can do it manually: Guide: Fixing Yahoo mail | pivotCE (the instructions also work for Google and other services)
    Last edited by Preemptive; 03/19/2017 at 10:15 PM.
  3. #3  
    Follow me on Twitter
    For the latest webOS news check out pivotCE
    Preemptive likes this.
  4. #4  
    Hi, well I took the route to install the certificate grabber. Installed that first on my wife's Pre3 phone. Installed fine. Launched app and it downloaded the certs and the gmail using the email app worked like a charm! The phone used the data connection to download the certificates. On my Pre3 and on my touchpad, using wifi, I could not download the certificate list. Message is "Unable to get installed certificate list" I also put my sim card into my phone and it still came up with the same message. Do I have a conflicting patch loaded that won't let it work on my Pre3 or touchpad?
  5. #5  
    I believe your cert database is corrupted. It's a simple search and delete. It's somewhere on here in the cert grabber thread on how to do it.

    Sent from my Passport using Tapatalk
    Follow me on Twitter
    For the latest webOS news check out pivotCE
  6. #6  
    I think the solution is here: certificate manager broken
    (read the linked post, then scroll down to frantid's post #34)
  7. #7  
    You guys are way beyond awesome! Wow! Great tip. Simply renamed the two files, shut down the phone, started it back up again, ran Certificate Grabber and it down loaded new certs and bam! Emails started to download! My last emails via the email app.....25Aug2015. I have been using the web based gmail on my pre 3 but not so good at opening and reading attachments. I was following the thread on these certs but it was not very clear to me how to solve the problem. So just yesterday I was scanning this site, found the thread and found Grabber's easy app to download. Very easy to do and problem solved. I am so excited to have my gmail back, you have no idea. Simply incredible. This website has kept my Pre 3 running since Oct 31, 2011 when I purchased my first one on ebay and all of my earlier Pre's. I love all of the preware patches and apps. Simply an amazing community. Job well done. Only thing missing is the sad fact that we can't get Whatsapp to run. But, not a big deal. I have my samsung S3 to switch over to if I want to check up on msgs from my buddies in Germany. Again, thanks guys for the quick response and spot on help. Awesome. Cheers! Steve.
    Grabber5.0 and Preemptive like this.
  8. #8  
    If you want a more permanent solution you can try openssl update in the alpha feeds in preware. You wouldn't need cert grabber.

    Sent from my Passport using Tapatalk
    Follow me on Twitter
    For the latest webOS news check out pivotCE
    Preemptive likes this.
  9. #9  
    well, I was considering that but got scared away by potential problems. I am a low risk guy and don't want to lose function of my pre3. Too chicken. :-) I am happy with the manual method.
  10. #10  
    For what it's worth, as the guy that wrote Cert Grabber, I can tell you I use the openssl update on every device that doesn't have webOS 2.1 on it. Do NOT use the openssl updater on 2.1.x.
  11. #11  
    Oh you CAN use openssl on a 2.1 device but it jacks with the browser. It makes Google synergy work great with the oauth patch too of course.

    Sent from my Passport using Tapatalk
    Follow me on Twitter
    For the latest webOS news check out pivotCE
  12. #12  
    It breaks way more than it fixes on 2.1. Not worth it.
  13. #13  
    I said can not should!

    Sent from my Passport using Tapatalk
    Follow me on Twitter
    For the latest webOS news check out pivotCE

Similar Threads

  1. Sound issues with 49UH770
    By Mark Beharrell in forum LG webOS TV
    Replies: 1
    Last Post: 12/27/2016, 10:11 AM
  2. Certain keywords causing post display issues
    By Grabber5.0 in forum webOSNation.com - Site News, Feedback & Help
    Replies: 2
    Last Post: 11/07/2016, 01:02 PM
  3. Pre3 Startup/Setup Guide for 2016/17?
    By araveer in forum HP Pre 3
    Replies: 2
    Last Post: 10/09/2016, 08:34 AM
  4. NO Account setting in GENERAL
    By gethrodrak in forum LG webOS TV
    Replies: 1
    Last Post: 09/10/2016, 07:06 AM
  5. Cant create palm account cant use phone.
    By Chadiuss in forum Palm Pre 2
    Replies: 4
    Last Post: 09/09/2016, 06:35 PM

Tags for this Thread

Posting Permissions